Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004025TestLinkTest Specificationpublic2010-11-17 08:422016-02-26 07:08
ReporterJulian 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 (Prague) 
Fixed in Version2.0 (planned) 
Summary0004025: option to avoid that obsolete test cases can be added to new test plans
DescriptionExample:

Test Case exists in 2 versions.

Version 1 is used on test plan A
Version 2 is used on test plan B

Test plan A and Test plan B will still be executed -> test case versions MUST be active (otherwise exeuction is not possible)

Test Case MAY NOT be added to further test plans -> it is necessary to set an appropriate flag.

seems like "is_open" column on tcversions table is unused and could be used for this purpose if no other plans exist. anyway feature for testlink 2.0 -> another column could be added.

as it might make sense to only "forbid" to add a single test case version to further test plans the flag must be on tcversions level, but in addition there should be an option to "forbid" to add all versions of a test case (for example if test case is obsolete) to further test plans
TagsNo tags attached.
Database (MySQL,Postgres,etc)-
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0002664closedfman FEATURE DEACTIVATE ALL VERSIONS (It should not be possible to add older versions of inactive testcases to testplan) 
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0014241)
fman (administrator)
2011-03-23 17:56
edited on: 2011-03-23 18:35

create test plan as copy will copy ALSO OBSOLETE tcversions

(0014242)
fman (administrator)
2011-03-23 18:10

@Julian:
If you have time you can see first (incomplete version), and do some tests.
thanks
(0014338)
Julian (reporter)
2011-03-29 07:21

Tests are ok. Will set to resolved.

Some issues to be considered for the future:

on add/remove test cases to test plan page it absotuely makes sense now to show a status column (depending on chosen version) to allow managers to see the status of the test case

maybe it is better to not hide "inactive" and "obsolete" test case versions
-> if selected version is "inactive" or "obsolete" -> disable checkbox to add test case and show some feedback on status column (something like: "Obsolete (can not be added with this status)"
(0022994)
fman (administrator)
2015-03-28 09:26

What will be implemented is 4025

1. use of new system wide config option
$tlCfg->tplanDesign->hideTestCaseWithStatusIn =
array($tlCfg->testCaseStatus['obsolete'] => 'obsolete',
         $tlCfg->testCaseStatus['future'] => 'future' );

2. when adding test case to test plan, if test case version has status on $tlCfg->tplanDesign->hideTestCaseWithStatusIn

will not be available
(0022995)
fman (administrator)
2015-03-28 10:00

on 1.9 branch
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/e2ed904012dc985ca55bc5c83981ef7debdb24ba [^]
(0024539)
fman (administrator)
2016-02-25 21:44

monitoring a resolved issue is useless

- Issue History
Date Modified Username Field Change
2010-11-17 08:42 Julian New Issue
2011-03-20 16:57 fman Relationship added related to 0002664
2011-03-23 17:56 fman Note Added: 0014241
2011-03-23 18:10 fman Note Added: 0014242
2011-03-23 18:10 fman Assigned To => fman
2011-03-23 18:10 fman Status new => feedback
2011-03-23 18:35 fman Note Edited: 0014241 View Revisions
2011-03-29 07:21 Julian Note Added: 0014338
2011-03-29 07:21 Julian Status feedback => assigned
2011-03-29 07:21 Julian Status assigned => resolved
2011-03-29 07:21 Julian Fixed in Version => 2.0 (planned)
2011-03-29 07:21 Julian Resolution open => fixed
2015-03-28 09:26 fman Note Added: 0022994
2015-03-28 10:00 fman Note Added: 0022995
2015-03-28 15:13 fman Relationship added child of 0006830
2016-02-25 21:44 fman Note Added: 0024539
2016-02-26 07:08 fman QA Team - Task Workflow Status => TBD
2016-02-26 07:08 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker